> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jambonz.org/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server.

# list applications

GET https://api.jambonz.cloud/v1/Applications

Reference: https://docs.jambonz.org/reference/rest-platform-management/applications/list-applications

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

list of applications

- `list of Application`

## Errors

### 500 Internal Server Error

system error

- `msg` (string, required)

## Types

### Application

- `name` (string, required)
- `account_sid` (string, required)
- `application_sid` (string, optional)
- `call_hook` (Webhook, optional) — application webhook for inbound voice calls
- `call_status_hook` (Webhook, optional) — webhhok for reporting call status events
- `messaging_hook` (Webhook, optional) — application webhook for inbound SMS/MMS
- `speech_synthesis_vendor` (string, optional)
- `speech_synthesis_voice` (string, optional)
- `speech_recognizer_vendor` (string, optional)
- `speech_recognizer_language` (string, optional)
- `env_vars` (ApplicationEnvVars, optional) — Object containing the Application Environment Variables as key/value to be sent with the call_hook payload
- `record_all_calls` (boolean, optional)

### Webhook

- `url` (string, required)
- `webhook_sid` (string, optional)
- `method` (enum, optional)
  - Allowed values: `get`, `post`
- `username` (string, optional)
- `password` (string, optional)

### ApplicationEnvVars

Object containing the Application Environment Variables as key/value to be sent with the call_hook payload

## Examples

**Request**

```json
{}
```

**Response**

```json
[
  {
    "name": "Customer Support App",
    "account_sid": "1c2b3a4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
    "application_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "call_hook": {
      "url": "https://support.example.com/call",
      "method": "post",
      "username": "calluser",
      "password": "securePass123"
    },
    "call_status_hook": {
      "url": "https://support.example.com/callstatus",
      "method": "post"
    },
    "messaging_hook": {
      "url": "https://support.example.com/messages",
      "method": "post"
    },
    "speech_synthesis_vendor": "aws-polly",
    "speech_synthesis_voice": "Joanna",
    "speech_recognizer_vendor": "google-cloud",
    "speech_recognizer_language": "en-US",
    "env_vars": {
      "ENV": "production",
      "LOG_LEVEL": "info"
    },
    "record_all_calls": false
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.jambonz.cloud/v1/Applications"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.jambonz.cloud/v1/Applications';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.jambonz.cloud/v1/Applications"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.jambonz.cloud/v1/Applications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.jambonz.cloud/v1/Applications")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.jambonz.cloud/v1/Applications', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.jambonz.cloud/v1/Applications");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Applications")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```